Edit customer document

This request edits an existing document that's associated with a customer.

   Click here to learn more about this request

Customer documents are stored within LoanPro's Document Manager and are often used to keep copies of a borrower's loan agreement, identification information, and more. Note the following when using this request:

This request does not edit the document itself; instead, it edits the information stored in LoanPro, such as sectionId, fileName, description, and active status.

This request requires the document's ID. To find this ID, use the GET customer information request to the Customers endpoint like the following:

https://loanpro.simnang.com/api/public/api/1/odata.svc/Customers(1183)/Documents

For an example of how customer documents work within the UI, take a look at our Customer Details article.

Database

For information regarding customer and document database tables, see the following articles:

Database – Customer Document Entity (customer_document_entity)

Database – Document Section Entity (doc_section_entity)

Database – Customer Main Table (customer_entity)

{
    "sectionId":1,
    "fileName":"UpdatedProofofIncome.pdf",
    "description":"Updated Proof of Income",
    "active":1,
    "archived":0,
    "customerVisible":1
}
Path Params
int32
required

The ID of the customer document.

Body Params
int32

This is the section the document is categorized within.
> These categories can be viewed under Settings > Loan > Labeling > Document Sections.

string

This updates the file name of the document.

string

This sets a description of the document.

int32

This determines whether the file is active or inactive.
> 1 - active, 0 - inactive

int32

This determines whether the file is archived.
> 1 - archived, 0 - not archived

int32

This determines whether the file is visible to the customer on the Customer Website.
> 1 - yes, 0 - no

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json